Summary:	fmio, FM radio card manipulation utility
Name:		fmio
Version:	2.0.8
Release:	1
Copyright:	BSD
Group:		Applications/Multimedia
URL:		http://jumbo.narod.ru/fmio.html
Packager:	Sergey Zhemchugov <linuhoid@narod.ru>
Source:		http://jumbo.narod.ru/src/fmio/%{name}-%{version}.tar.gz
BuildRoot:	/tmp/%{name}-%{version}-root

%description
The fmio is a small program to set and change fm radio card parameters.
It sets frequency, volume of the card, reports signal strength on the
working frequency and can set the radio card output to mono (if the card
driver supports it).

%package devel
Summary: Header files and libraries for developing apps which will use fmio.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The fmio-devel package contains libradio.a and radio.h needed
to develop programs that use fmio library.

Install the fmio-devel package if you want to develop applications that
will use the fmio library.

%package wmfmio
Summary: wmfmio, WindowMaker dockable application to manipulate FM radio card
Group: Applications/Multimedia
Requires: %{name} = %{version}, XFree86-libs
BuildRequires:	XFree86-devel

%description wmfmio
wmfmio is a WindowMaker dockable application to manipulate FM radio card.

In order to run this utility you need to install fmio package.

%prep
%setup -q

%build
make -C src
make -C xsrc
make -C utils bktrctl fmrinit

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_sysconfdir},%{_includedir},%{_libdir}}

install src/fmio $RPM_BUILD_ROOT%{_bindir}
install src/fmio.1 $RPM_BUILD_ROOT%{_mandir}/man1
install utils/{bktrctl,fmrinit} $RPM_BUILD_ROOT%{_bindir}

install src/radio.h $RPM_BUILD_ROOT%{_includedir}
install src/radio_drv.h $RPM_BUILD_ROOT%{_includedir}
install src/bu2614.h $RPM_BUILD_ROOT%{_includedir}
install src/lm700x.h $RPM_BUILD_ROOT%{_includedir}
install src/pt2254a.h $RPM_BUILD_ROOT%{_includedir}
install src/tc921x.h $RPM_BUILD_ROOT%{_includedir}
install src/tea5757.h $RPM_BUILD_ROOT%{_includedir}
install src/libradio.a $RPM_BUILD_ROOT%{_libdir}

install xsrc/wmfmio $RPM_BUILD_ROOT%{_bindir}
install xsrc/wmfmio.1 $RPM_BUILD_ROOT%{_mandir}/man1
install xsrc/sample.wmfmiorc $RPM_BUILD_ROOT%{_sysconfdir}/wmfmiorc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(4755,root,root) %{_bindir}/fmio
%attr(644,root,root) %{_mandir}/man1/fmio.1
%attr(755,root,root) %{_bindir}/bktrctl
%attr(755,root,root) %{_bindir}/fmrinit
%doc Changelog doc/FAQ doc/FAQ.ru README

%files devel
%attr(644,root,root) %{_libdir}/libradio.a
%attr(644,root,root) %{_includedir}/radio.h
%attr(644,root,root) %{_includedir}/radio_drv.h
%attr(644,root,root) %{_includedir}/bu2614.h
%attr(644,root,root) %{_includedir}/lm700x.h
%attr(644,root,root) %{_includedir}/pt2254a.h
%attr(644,root,root) %{_includedir}/tc921x.h
%attr(644,root,root) %{_includedir}/tea5757.h

%files wmfmio
%attr(755,root,root) %{_bindir}/wmfmio
%attr(644,root,root) %{_mandir}/man1/wmfmio.1
%attr(644,root,root) %{_sysconfdir}/wmfmiorc
